Works with Firefox 3.6. Rated 4 out of 5 stars

Works with Firefox 3.6.

This review is for a previous version of the add-on (0.8.1-signed).